#
# Conditional build:
%bcond_with	tests		# build without tests

Summary:	Pipe Viewer - tool for monitoring the progress of data through a pipeline
Summary(pl.UTF-8):	Pipe Viewer - monitorowanie przepływu danych przez potok
Name:		pv
Version:	1.8.9
Release:	1%{?tld}
License:	GPL v3+
Group:		Applications
Source0:	http://www.ivarch.com/programs/sources/%{name}-%{version}.tar.gz
# Source0-md5:	6a6ebd8ec5585c1753ffff45f5cc55a5
URL:		http://www.ivarch.com/programs/pv.shtml
BuildRequires:	gettext-tools >= 0.21
# the unit tests call usleep(1)
BuildRequires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pipe Viewer is a terminal-based tool for monitoring the progress of
data through a pipeline. It can be inserted into any normal pipeline
between two processes to give a visual indication of how quickly data
is passing through, how long it has taken, how near to completion it
is, and an estimate of how long it will be until completion.

%description -l pl.UTF-8
Pipe Viewer jest tekstowym narzędziem do monitorowania przepływu
danych przez potok. Może być wstawiony w dowolny potok pomiędzy dwa
procesy w celu wizualizacji prędkości z jaką dane przepływają pomiędzy
nimi, ile czasu im to zajmuje, ile jeszcze zostało do ukończenia i ile
mniej więcej czasu to będzie trwało.

%prep
%setup -q

%build
%configure
%{__make}
%{?with_test:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md docs/{ACKNOWLEDGEMENTS,DEVELOPERS,NEWS,TODO}.md
%attr(755,root,root) %{_bindir}/pv
%{_mandir}/man1/pv.1*
%changelog
* Tue Apr 30 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pv.git;a=log;h=master

* Tue Apr 30 2024 Marcin Krol <hawk@tld-linux.org> 553e49b
- updated to 1.8.9

* Mon Nov 20 2023 Jan Palus <atler@pld-linux.org> 722faf6
- up to 1.8.5

* Mon Sep 25 2023 Jan Palus <atler@pld-linux.org> 8dbf2b4
- up to 1.8.0 (GPLv3+ now)

* Tue Jul 18 2023 Jan Palus <atler@pld-linux.org> a921d30
- up to 1.7.0

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> cc192eb
- up to 1.6.20

* Mon Sep 06 2021 Jan Palus <atler@pld-linux.org> 696733d
- up to 1.6.19

* Tue Oct 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> aa3af6a
- up to 1.6.6

* Mon Apr 27 2015 Elan Ruusamäe <glen@delfi.ee> b28d920
- up to 1.6.0 (15 March 2015)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d6739ef
- updated gettext BR

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 522e54d
- up to 1.5.7

* Thu May 01 2014 Elan Ruusamäe <glen@delfi.ee> e15334f
- up to 1.5.2, run tests

* Wed Dec 15 2010 Zsolt Udvari <uzsolt@pld-linux.org> c19d67c
- 1.2.0
- change Source0

* Thu Jan 15 2009 duddits <duddits@pld-linux.org> 7718423
- up to 1.1.4

* Thu Aug 30 2007 wolf <wolf@pld-linux.org> 6b005e4
- 1.1.0

* Fri Aug 17 2007 Paweł Gołaszewski <blues@pld-linux.org> e63f07b
- 1.0.1 - no more info pages, license is Artistic 2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f5726a2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39690e5
- converted to UTF-8

* Wed Oct 12 2005 darekr <darekr@pld-linux.org> f626274
- updated to 0.9.2

* Mon Jul 11 2005 darekr <darekr@pld-linux.org> de917a8
- updated to 0.9.1;  Summary

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 258f467
- BR: gettext-devel

